List domains
curl --request GET \
--url https://app.ilitylabs.com/v1/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_url": "<string>",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "active",
"archived_at": "2023-11-07T05:31:56Z",
"wcag_level": "<string>",
"environment": "<string>",
"enabled_engine_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"crawl_include_query_params": true,
"crawl_respect_robots": true,
"scan_schedule_enabled": true,
"availability_checks_enabled": true,
"plan_tier": "free",
"page_blocks": 123,
"page_allowance": 123,
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlements": {
"full_crawl": true,
"scheduled_scans": true,
"availability_checks": true,
"api_triggers": true,
"true_user_auth": true
},
"summary": {
"pages_discovered": 123,
"open_count": 123,
"scan_count": 123,
"severity_breakdown": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"last_scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}Domains
List domains
Lists the websites in the workspace. Use a domain’s slug with the other domain routes and its id to filter issues.
GET
/
v1
/
domains
List domains
curl --request GET \
--url https://app.ilitylabs.com/v1/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_url": "<string>",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "active",
"archived_at": "2023-11-07T05:31:56Z",
"wcag_level": "<string>",
"environment": "<string>",
"enabled_engine_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"crawl_include_query_params": true,
"crawl_respect_robots": true,
"scan_schedule_enabled": true,
"availability_checks_enabled": true,
"plan_tier": "free",
"page_blocks": 123,
"page_allowance": 123,
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlements": {
"full_crawl": true,
"scheduled_scans": true,
"availability_checks": true,
"api_triggers": true,
"true_user_auth": true
},
"summary": {
"pages_discovered": 123,
"open_count": 123,
"scan_count": 123,
"severity_breakdown": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"last_scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}